StarObjectTextInternal::OLEZone Struct Referencefinal

Internal: a OLEZone of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::OLEZone:

## Public Member Functions

| OLEZone ()
| constructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor
virtual | ~Zone ()
| destructor
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages

## Public Attributes

librevenge::RVNGString | m_name
| the OLE name
librevenge::RVNGString | m_replaceText
| the replacement text
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser

## Detailed Description

Internal: a OLEZone of StarObjectTextInteral.

## Constructor & Destructor Documentation

## OLEZone()

StarObjectTextInternal::OLEZone::OLEZone | ( |  | ) |

inline

constructor

## Member Function Documentation

## send()

bool StarObjectTextInternal::OLEZone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const

final virtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## m_name

librevenge::RVNGString StarObjectTextInternal::OLEZone::m_name

the OLE name

Referenced by OLEZone(), and send().

## m_oleParser

std::shared_ptr<STOFFOLEParser> StarObjectTextInternal::OLEZone::m_oleParser

the ole parser

Referenced by OLEZone(), and send().

## m_replaceText

librevenge::RVNGString StarObjectTextInternal::OLEZone::m_replaceText

the replacement text

Referenced by OLEZone().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx